<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "bankrecp.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
//$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `bankname` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `party` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `drawbank` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `chqno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `amount` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `bankname` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `party` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `drawbank` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `chqno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `amount` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `bankname`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `party`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `drawbank`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `chqno`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `amount`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

//mysqli_query($conn, "Create temporary table `bank` SELECT a.`vouchno`, b.`name` as bank , c.`name` as partyname , a.`drawbank`, a.`chqno`, a.amount FROM `bankrecp` a ,`accmast` b ,`accmast` c WHERE a.party = b.accode and a.bankname = c.accode") or die(mysqli_error($conn));

$query = "SELECT * FROM bankrecp where vouchno !=''  $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    
    $gbank = mysqli_query($conn, "SELECT accode,name FROM `accmast` WHERE `accode`=$r[bankname]") or die(mysqli_error($conn));
    $b = mysqli_fetch_array($gbank);
    
    $gparty = mysqli_query($conn, "SELECT accode,name FROM `accmast` WHERE `accode`=$r[party]") or die(mysqli_error($conn));
    $p = mysqli_fetch_array($gparty);
    
    $rows[] = [ 'success' => true,
        'value'     => $ctr,
        'keyfld'    => $keyfld,
        'vouchno'   => $r['vouchno'],
        'bankname'  => $b['name'],
        'party'     => $p['name'],
        'drawbank'  => $r['drawbank'],
        'chqno'     => $r['chqno'],
        'amount'    => $r['amount'],
        'action'    => "$file?mode=edit&vouchno=$r[vouchno]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
